org.eclipse.jface.text

## Interface IDocumentExtension.IReplace

Enclosing interface:
  IDocumentExtension

    public static interface IDocumentExtension.IReplace

Interface for a post notification replace operation.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `perform(IDocument document, IDocumentListener owner)` Executes the replace operation on the given document.

### Method Detail

#### perform

    void perform(IDocument document,
                 IDocumentListener owner)

Executes the replace operation on the given document.

Parameters:
  `document` - the document to be changed
  `owner` - the owner of this replace operation